v3.0
get
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/sites/{siteId}/shipments/{shipmentId}
Retrieves a shipment's details by ID for a site. This version includes additional attributes: versionStart and userId.
Rights: OrsSupplyManagerGet and OrsBlinded.
Rights: OrsSupplyManagerGet and OrsBlinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
shipmentId(required): string(uuid)
ID of the shipment.Example:
89EE76326E984B548D594D592E5C7FC2 -
siteId(required): string(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
9B83BFB48C5A41C59775E4D8D22D8B26 -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : SiteUserShipmentTO v3.0
Type:
objectTitle:
SiteUserShipmentTO v3.0Response object containing details about shipment at a site.
Show Source
-
availableCount: integer
(int64)
Available kits count.Example:
5 -
createdDate: string
(date-time)
Shipment creation date.
-
damagedCount: integer
(int64)
Damaged kits count.Example:
5 -
depotId: string
(uuid)
Depot ID.
-
depotName: string
Depot name.Example:
Depot Houston -
depotShortName: string
Depot short name.Example:
123 -
inTransitCount: integer
(int64)
In transit kits count.Example:
5 -
missingCount: integer
(int64)
Missing kits count.Example:
5 -
preQuarantinedCount: integer
(int64)
Pre quarantined kits count.Example:
5 -
reconciliation: boolean
Indicates whether kit reconciliation is included.Example:
true -
reportId: string
Report ID.Example:
B1B8327AFAA6412287106192AB5984EF -
shipDate: string
(date-time)
Ship date.
-
shipmentId: string
ID of the shipment.Example:
123 -
shipmentNumber: string
Shipment number.Example:
123 -
siteId: string
(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
-
siteName: string
Site name.Example:
Site Houston -
siteShortName: string
Site short name.Example:
12 -
statusDate: string
(date-time)
Status date.
-
statusId: number
(Integer)
Shipment status ID.Example:
5 -
trackingNumber: string
Shipment tracking number.Example:
12345 -
trackingNumberURL: string
Tracking URL.Example:
http://www.site.com -
userId: string
(uuid)
User ID.
-
versionStart: string
(date-time)
Site version start date.
Examples
404 Response
'Invalid study ID', 'Study still in Draft (design phase)', 'Invalid site ID', 'Invalid shipment ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples